curl --request POST \
'https://apiv2.crmseries.com/api/v2/equipment/undercarriage/reading' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'Content-Type: application/json' \
--data '{
"equipmentId": 1024,
"userId": 1024,
"reading": {
"mobileAssignedReadingId": "string",
"readingDate": "2026-01-15",
"readingHours": 3250,
"trackShoeMeasurement": 1.5,
"identifier": "string",
"wearProfileId": 1024,
"applicationId": 1024,
"groundConditionId": 1024,
"workingConditionId": 1024,
"impact": "string",
"trackGuards": "string",
"comments": "string",
"source": "string"
},
"measurements": [
{
"component": "string",
"locations": [
{
"criteriaId": 1024,
"location": "string",
"wearOption": "string",
"method": "string",
"condition": "string",
"measurement": 1.5,
"percentWorn": 1.5,
"comments": "string",
"images": [
{
"mobileImageId": "string",
"fileName": "string"
}
],
"videos": [
{
"mobileVideoId": "string",
"originalFileName": "string"
}
]
}
]
}
]
}'
Replace the uppercase placeholders and sample values with your integration values.
{
"isSuccess": true,
"message": "",
"data": {
"reading": {
"userId": 1024,
"rep": "string",
"companyId": 1024,
"companyName": "Acme Equipment Co.",
"publicViewUrl": "https://example.com",
"readOnly": false,
"enterBy": "string",
"entered": "2026-01-15T14:30:00Z",
"lastModified": "2026-01-15T14:30:00Z",
"readingId": 1024,
"mobileAssignedReadingId": "string",
"readingDate": "2026-01-15",
"readingHours": 3250,
"trackShoeMeasurement": 1.5,
"identifier": "string",
"wearProfileId": 1024,
"applicationId": 1024,
"groundConditionId": 1024,
"workingConditionId": 1024,
"impact": "string",
"trackGuards": "string",
"comments": "string",
"source": "string"
},
"measurements": [
{
"measurementId": 1024,
"component": "string",
"componentValue": "string",
"locations": [
{
"criteriaId": 1024,
"location": "string",
"locationDisplay": "string",
"wearOption": "string",
"method": "string",
"condition": "string",
"measurement": 1.5,
"percentWorn": 1.5,
"comments": "string",
"previousMeasurement": 1.5,
"previousPercentWorn": 1.5,
"previousComments": "string",
"previousReadingDate": "2026-01-15",
"images": [
{
"imageId": 1024,
"readingId": 1024,
"component": "string",
"location": "string",
"imagePath": "string",
"cloudinaryUrl": "https://example.com",
"webListing": true,
"uploadSource": "string",
"deviceMake": "string",
"deviceModel": "string",
"deviceOs": "string",
"orientation": "string",
"originalWidth": 1,
"originalHeight": 1,
"originalDate": "2026-01-15T14:30:00Z",
"entered": "2026-01-15T14:30:00Z",
"uploadedAt": "2026-01-15T14:30:00Z",
"mobileImageId": "string",
"fileName": "string"
}
],
"videos": [
{
"videoId": 1024,
"readingId": 1024,
"component": "string",
"location": "string",
"uploadSource": "string",
"blobUrl": "https://example.com",
"fileSize": 1,
"contentType": "string",
"streamingUrl": "https://example.com",
"thumbnailUrl": "https://example.com",
"durationInSeconds": 1,
"entered": "2026-01-15T14:30:00Z",
"uploadedAt": "2026-01-15T14:30:00Z",
"mobileVideoId": "string",
"originalFileName": "string"
}
]
}
],
"wearOption": {
"optionDisplay": "string",
"option": "string",
"notes": "string"
},
"methods": [
{
"value": "string",
"display": "string"
}
]
}
],
"wearProfileDisplay": "string",
"wearProfileId": 1024,
"wearProfileData": {
"profileId": 1024,
"profileName": "string",
"serialRange": "CAT0320XABC12345",
"components": [
{
"component": "string",
"options": [
{
"wearOption": "string",
"criteria": [
{
"criteriaId": 1024,
"method": "string",
"measureNew": 1.5,
"measure100Normal": 1.5,
"measure100Impact": 1.5,
"kFactor": 1.5
}
]
}
]
}
]
}
},
"errors": []
}